<div class="col-sm-6">
  <div class='form-group row select optional'>
    <label for='charts-range' class='col-form-label select optional label-wide-horiz col-sm-3'>Range</label>
    <div class="col-sm-6">
      <%= select_tag 'charts-range', options_for_select([['one week', 1], ['two weeks', 2], ['one month', 3], ['6 months', 4]], @charts_range),
                     class: 'form-control select optional' %>
    </div>
  </div>
</div>

<hr>

<div id="charts">
  <%= render partial: 'show_ahoy_charts', locals: {charts_range: @charts_range} %>
</div>

<script type="text/javascript">
  $(function(){
    $('#charts-range').change(function(){
      console.log('Change!');

      value = ($(this)).val();
      console.log(value)

      let url = "<%= admin_show_ahoy_path %>"
      let datas = {};
      datas['charts_range'] = $(this).val();
      // $.get(url, datas);

      $.ajax({
        url: url,
        type: 'GET',
        data: datas,
        dataType: 'script',
        beforeSend: function(xhr) {xhr.setRequestHeader('X-CSRF-Token', $('meta[name="csrf-token"]').attr('content'));},
        success: function(data) {
          console.log('Update done.');
        }
      });
    });
  });
</script>
